%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	contactmanager

Name:		freepbx-%{rawname}
Version:	17.0.5.12
Release:	1%{?dist}
Summary:	Contact Manager

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-userman >= 13.0.70

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
The Contact Manager module lets you add contacts to groups.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
        [ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.5.12
- Updated version

* Thu Aug 29 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.26.2
- Updated version

* Thu Jun 13 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.26.1
- Updated version

* Mon Apr 22 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.26
- Updated version

* Thu Feb 01 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.25
- Updated version

* Mon Dec 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.24
- Updated version

* Fri Jun 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.23
- Updated version

* Wed Apr 19 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.22
- Updated version

* Thu Mar 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.21
- Updated version

* Thu Feb 09 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.19
- Updated version

* Wed Jan 11 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.17
- Updated version

* Thu Dec 08 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.15
- Updated version

* Thu Oct 13 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.16
- Updated version

* Wed Sep 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.15
- Updated version

* Tue Aug 09 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.14
- Updated version

* Mon Jul 18 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.13
- Updated version

* Mon Jun 27 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.12
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.11
- Updated version

* Mon Apr 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.6
- Updated version

* Tue Apr 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.4
- Updated version

* Mon Mar 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18.1
- Updated version

* Mon Feb 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Sun Feb 06 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.17.8
- Initial build
